Subject: Re: data received but not detected

From: Ben Greear <[email-masked]>
Date: Tue, 17 Jun 2008 15:31:19 -0700

Travis Stratman wrote:
> Hello,
> 
> (I sent this earlier today but it doesn't look like it made it, I
> apologize if it gets through multiple times)
> 
> I am working on an application that uses a fairly simple UDP protocol to
> send data between two embedded devices. I'm noticing an issue with an
> initial test that was written where datagrams are received but not seen
> by the recvfrom() call until more data arrives after it. As of right now
> the test case does not implement any type of lost packet protection or
> other flow control, which is what makes the issue so noticeable.

UDP packets can be lost anywhere..including in the receive buffer
after it has been received by the NIC.

You probably just need to write your code smarter to use non-blocking
IO and deal with packet loss.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com